(ns luduverse.pages
  (:require [net.cgrand.enlive-html :as html]))

(html/deftemplate landingpage-template "templates/landingpage.html" [])

(html/defsnippet item-model "templates/results.html" [:div#results :> :div]
  [id image-path username title]
  [:img] (html/set-attr :src image-path)
  [:p] (html/content username)
  [:span] (html/content title))

(html/deftemplate results-template "templates/results.html"
  [search-term hits results]
  [:form#search :> :input#term] (html/set-attr :value search-term)
  ;[:div#results (html/content (map #(item-model %) results))]
  )
